extends CharacterBody2D
class_name BaseProjectile

@export var direction: Vector2
@export var speed := 100

# Public Methods
func SetProjectileStartAndDirection(start_position: Vector2, projectile_direction: Vector2) -> void:
	position = start_position
	direction = projectile_direction
	rotation = projectile_direction.angle()


# Private Methods
func _physics_process(delta: float) -> void:
	velocity = direction * speed * delta
	move_and_slide()
